## javax.servlet.jsp.jstl.sql
Class ResultSupport

    java.lang.Object
      javax.servlet.jsp.jstl.sql.ResultSupport

    public class ResultSupport

extends Object

Supports the creation of a javax.servlet.jsp.jstl.sql.Result object from a source java.sql.ResultSet object. A Result object makes it much easier for page authors to access and manipulate the data resulting from a SQL query.

Author:
  Justyna Horwat

Constructor Summary
`ResultSupport()`

Method Summary
`static Result` `toResult(ResultSet rs)` Converts a `ResultSet` object to a `Result` object.
`static Result` `toResult(ResultSet rs, int maxRows)` Converts `maxRows` of a `ResultSet` object to a `Result` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultSupport

    public ResultSupport()

Method Detail

### toResult

    public static Result toResult(ResultSet rs)

  Converts a `ResultSet` object to a `Result` object.

  Parameters:
    `rs` - the `ResultSet` object
  Returns:
    The `Result` object created from the `ResultSet`

### toResult

    public static Result toResult(ResultSet rs,
                                  int maxRows)

  Converts `maxRows` of a `ResultSet` object to a `Result` object.

  Parameters:
    `rs` - the `ResultSet` object
    `maxRows` - the maximum number of rows to be cached into the `Result` object.
  Returns:
    The `Result` object created from the `ResultSet`, limited by `maxRows`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.